[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashList.Remove

Remove first instance of a pointer

## Declaration

Source position: contnrs.pp line 247

`public function TFPHashList.Remove(`
`Item: Pointer`
`):Integer;`

## Arguments

`Item` |  | Item to remove from the list.

## Function result

Data pointer which was removed

## Description

Remove removes the first occurence of the data pointer Item in the list, if it is present. The return value is the removed data pointer, or Nil if no data pointer was removed.

## See also

TFPHashList.Delete |  | Delete an item from the list.
TFPHashList.Clear |  | Clear the list
TFPHashList.Extract |  | Extract a pointer from the list

The latest version of this document can be found at lazarus-ccr.sourceforge.net .